<?php

/**
 * This file is used to markup the "Getting Started" section on the dashboard page.
 *
 * @package Imagery
 */

// Links that are used on this page.
$getting_started_links = array(
    'demo' => 'http://demo.dinevthemes.com/imagery/',
    'docs' => 'http://dinevthemes.com/documentation-category/imagery-theme-doc/',
	'premium' => 'http://dinevthemes.com/themes/imagery-pro/',
);

?>

<div class="tab-section">
    <h3 class="section-title"><?php esc_html_e( 'Front Page Setup', 'imagery' ); ?></h3>

    <p><?php esc_html_e( 'Create a new by going to Pages > Add New. Give your page a name (Title field).', 'imagery' ); ?></p>
	<p><?php esc_html_e( 'In the same way create a blank page for the Blog Page.', 'imagery' ); ?></p>
	<p><?php esc_html_e( 'Now you can go to Appearance > Customize > Static Front Page and choose your new created Page as your Front Page.', 'imagery' ); ?></p>

</div><!-- .tab-section -->

<div class="tab-section">
    <h3 class="section-title"><?php esc_html_e( 'Theme Options', 'imagery' ); ?></h3>

    <p><?php esc_html_e( 'You can use of the Customizer to provide you with the theme options. Press the button below to open the Customizer and start making changes.', 'imagery' ); ?></p>

    <p><a href="<?php echo wp_customize_url(); // WPCS: XSS OK. ?>" class="button" target="_blank"><?php esc_html_e( 'Customize Theme', 'imagery' ); ?></a></p>
</div><!-- .tab-section -->

<div class="tab-section">
    <h3 class="section-title"><?php esc_html_e( 'Demo Website', 'imagery' ); ?></h3>

    <p><?php esc_html_e( 'You can recreate the demo website. All you need is following short instructions from theme docs. Please note, a file for importing demo-content may be offered only premium users.', 'imagery' ); ?></p>

    <p>
	<?php
        // Display link to premium version of the theme.
        printf( '<a href="%1$s" class="button" target="_blank">%2$s</a>', esc_url( $getting_started_links['premium'] ), esc_html__( 'Get Premium', 'imagery' ) );
    ?>
	<?php
        // Display link to theme's documentation.
        printf( '<a href="%1$s" class="button" target="_blank">%2$s</a>', esc_url( $getting_started_links['docs'] ), esc_html__( 'Documentation', 'imagery' ) );
    ?>
    <?php
        // Display a link to the demo website.
        printf( '<a href="%1$s" class="demo-button" target="_blank">%2$s</a>', esc_url( $getting_started_links['demo'] ), esc_html__( 'View Demo', 'imagery' ) );
    ?>
    </p>
</div><!-- .tab-section -->
